﻿# Risk of Bulletstorm
| [![github issues/request link](https://raw.githubusercontent.com/DestroyedClone/PoseHelper/master/PoseHelper/github_link.webp)](https://github.com/DestroyedClone/RiskOfBulletstorm/issues) | [![discord invite](https://raw.githubusercontent.com/DestroyedClone/PoseHelper/master/PoseHelper/discord_link.webp)](https://discord.gg/DpHu3qXMHK) |
|--|--|

[Risk of Bulletstorm Banner Here]

**Risk of Bulletstorm** <sup>(**Risk** of a Rain**storm** of **Bullets**)</sup>, is a content mod that adds items, equipment, and mechanics from [**Enter The Gungeon**](https://www.dodgeroll.com/gungeon/) by Dodge Roll Games.

This is an early release so keep in mind that:

- Anything you see is likely incomplete.

### Common
|Icon| Item | Description |
|:--:|:--:|--|
| | [**Antibody**](https://enterthegungeon.fandom.com/wiki/Antibody) | Upon `healing`, gain a 25% chance to heal for +33% more healing `(+11% more healing per stack)`.
| ![](https://i.imgur.com/mgb7N2g.png) | [**Mustache**](https://enterthegungeon.fandom.com/wiki/Mustache) | Upon purchase, increases your regeneration by `2 health` `(+1 per stack)` for 8 seconds.
| ![](https://i.imgur.com/MFuBwOI.png) | [**Scope**](https://enterthegungeon.fandom.com/wiki/Scope) | Decreases `firing spread` by `20%` `(+2% per stack)`.  Each stack past the max of 41 will increase your `damage by 1%`.

### Uncommon
|Icon| Item | Description |
|:--:|:--:|--|
| | [**Ring of Chest Friendship**](https://enterthegungeon.fandom.com/wiki/Ring_of_Chest_Friendship) | Increases the amount of `chest credit` by +50% `(+25% per stack)`.

### Legendary
|Icon| Item | Description |
|:--:|:--:|--|
|![](https://i.imgur.com/msag2Ku.png)|[**Backpack**](https://enterthegungeon.fandom.com/wiki/Backpack)|Grants access to an `extra equipment slot` `(+1 per stack)`![](https://i.imgur.com/G5NGtxV.png) - Press *[Left Shift]* + *[0,1,2,3,4,5,6,7,8,9]* to switch equipment slots![](https://i.imgur.com/G5NGtxV.png) - Press *[Left Shift] + [=]* to list all equipment. (cuts off at higher equip counts)![](https://i.imgur.com/G5NGtxV.png) - Press *[F]* or *[G]* to previous/next slot.![](https://i.imgur.com/G5NGtxV.png) - Adds onto MULT's additional slot. *(MULT w/ 1 backpack = 3 slots, though you can't use retool to switch to the modded ones)*.![](https://i.imgur.com/G5NGtxV.png) - If enabled, one can also use the *scrollwheel* to switch between the slots. |

### Boss
|Icon| Item | Description |
|:--:|:--:|--|

### Lunar

### Regular Equipment
|Icon| Equipment | Description | CD |
|:--:|:--:|--|:--:|
|  | [**iBomb Companion App**](https://enterthegungeon.fandom.com/wiki/IBomb_Companion_App) | Upon use, within a radius of 75 meters, all explosives and explosive enemies will explode.![](https://media.discordapp.net/attachments/894153645195677746/922048556993482752/spreadhsheeet.PNG) <br>Also destroys explosive projectiles.</br>| 90
|  

### Lunar Equipment
|Icon| Equipment | Description | CD |
|:--:|:--:|--|:--:|
|  | [**Trusty Lockpicks**](https://enterthegungeon.fandom.com/wiki/Trusty_Lockpicks) | 50% chance to unlock a chest, or double its price. | 60

### Artifacts
|Icon| Artifact | Description |
|:--:|:--:|--|
| | Artifact of the Pit Lord<br><sup>[Amulet of the Pit Lord](https://enterthegungeon.fandom.com/wiki/Amulet_of_the_Pit_Lord)</sup></br> | When enabled, players take no damage from falling off the stage.<br><sup>Config: Include monsters (Disabled by Default)</sup></br>


## Other

## Credits
* KomradeSpectre - Item Creation Mod Boilerplate, Readme style
* Moffein - Changelog style

## Changelog
* `1.2.0`
	* Switched from TILER2 Dependency to KomradeSpectre's ItemBase for more code freedom
	* Circumstances mean that there will be less initial items, but as I catch up they'll be re-added.
	* New:
		* [Common Item] Antibody: Upon `healing`, gain a 25% chance to heal for +33% more healing `(+11% more healing per stack)`.
		* [Uncommon Item] Ring of Chest Friendship: Increases the amount of `chest credit` by +50% `(+25% per stack)`.
		* [Equipment] iBomb Companion App: Upon use, within a radius of 75 meters, all explosives and explosive enemies will explode. CD:90
			* Pots and Fusion Cells are instantly killed.
			* Clay Templars and Clayman take 200% damage.
			* Jellyfish take 300% damage.
			* Wandering Vagrants take 100% damage.
			* Clay Dunestriders take 150% damage.
			* Explosive Projectiles are destroyed.
		* [Lunar Equipment] Trusty Lockpicks: 50% chance to unlock a chest, or double its price. CD: 60
		* [Artifact] Artifact of the Pit Lord: When enabled, players take no damage from falling off the stage.
			* Can be configured to include monsters too.
	* Changes:
		* Mustache: 
			* (old) 2 (+2 per stack) for 10 seconds
			* (new) 2 (+1 per stack) for 8 seconds
		* Scope:
			* (old) -10% (-5% per stack) spread
			* (new) -20% (-2% per stack) spread.
			* (new) Stacking beyond the max increases your damage by 1% per stack.
			* *By increasing the initial value and reducing the stack count, the cap increases from 19 to 41. Also the inclusion of a slight damage increase should make it less annoying if you're forced to pick it up when at max. The initial increase makes it more meaningful when you have one, while the stacking has been decreased for balance.*
		* Backpack: Unchanged, but also added.

> Written with [StackEdit](https://stackedit.io/).